package com.kingdee.eas.custom.integration.base.config;

import java.util.Map;

/**
 * OpenAPI ¼øÈ¨ÅäÖÃ
 */
public class OpenApiConfig {

    private boolean enableAuth = true;

    public OpenApiConfig() {
    }

    public OpenApiConfig(Map<String, Object> openApi) {
        this.enableAuth = Boolean.TRUE.equals(openApi.get("enableAuth"));
    }

    public boolean isEnableAuth() {
        return enableAuth;
    }

    public void setEnableAuth(boolean enableAuth) {
        this.enableAuth = enableAuth;
    }

    @Override
    public String toString() {
        return "OpenApiConfig{enableAuth=" + enableAuth + "}";
    }
}
